DEBVM-WAITSSH(1)

NAME
debvm-waitssh - Wait for a ssh server to be reachable

SYNOPSIS
debvm-waitssh [-q] [-t timeout] [hostname:]port

DESCRIPTION
debvm-waitssh can be used to wait for a virtual machine with exposed ssh port to be reachable on that port. If no hostname is given, 127.0.0.1 is assumed. No authentication is attempted by debvm-waitssh, so neither a username nor a key have to be supplied.

OPTIONS

-t timeout, --timeout=timeout
    Set the maximum duration for waiting in seconds. Defaults to one minute.

-q, --quiet
    Be quiet. Do not output a message when the timeout has been reached without success.

EXIT VALUES

0   The server is reachable.

1   A timeout was reached before the server answered.

2   Usage error.

SEE ALSO
    debvm-run(1)